<div class="alert-message-custom">
    <div class="alert alert-success" role="alert" *ngIf='alertSuccess'>
        <h6 class="mrg0B text-center"><i class="fa fa-check mrg10R" aria-hidden="true"></i>{{successMsg}}</h6>
    </div>
</div>

<div class="alert-message-custom">
    <div class="alert alert-danger" role="alert" *ngIf='alertDanger'>
        <h6 class="mrg0B text-center"><i class="fa fa-exclamation-triangle mrg10R" aria-hidden="true"></i>{{errorMsg}}</h6>
    </div>
</div>

<div class="loading" *ngIf="paginationLoader">Loading&#8230;</div>

<div class="loginDiv">
    <div class="sepioImg">
        <img src="../../assets/images/sepio-logo.png">
    </div>
    <div class="whiteCard loginform">
        <form #loginForm="ngForm">
            <div class="form-group">
                <label class="theme-text" for="email"><b>Email ID</b></label>
                <input type="text" class="form-control" name="email" [(ngModel)]="email" placeholder="Enter email ID" required #loginemailid="ngModel" pattern="^\S+@(([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6})$" />
                <span class="help-block" *ngIf="loginemailid.errors && (loginemailid.invalid && loginemailid.touched)">
                    <p class="text-red" [hidden]="!loginemailid.errors.required">Email ID is required.</p>
                    <p class="text-red" [hidden]="!loginemailid.errors.pattern">Please enter valid email ID.</p>
                </span>
            </div>
            <div class="form-group">
                <label class="theme-text" for="password"><b>Password</b></label>
                <input type="password" class="form-control" name="password" [(ngModel)]="password" placeholder="Enter password" required minlength="5" maxlength="60" name="password" #loginpassword="ngModel" />
                <span class="help-block" *ngIf="loginpassword.errors && (loginpassword.invalid && loginpassword.touched)">
                    <p class="text-red" [hidden]="!loginpassword.errors.required">Password is required.</p>
                    <p class="text-red" [hidden]="!loginpassword.errors.minlength">Password can't be less than 5 characters.</p>
                    <p class="text-red" [hidden]="!loginpassword.errors.maxlength">Password can't be more than 60 characters.</p>
                    <p class="text-red" [hidden]="!loginpassword.errors.pattern">Please enter valid password</p>
                </span>
            </div>
            <div class="form-group text-center">
                <button class="btn btn-theme ripple" (click)="login()" [disabled]="loginForm.invalid">Login</button>
            </div>
        </form>
    </div>
</div>